/***************************************************************************
 *   Copyright (C) 2004 by Diego 'Flameeyes' Petteno                       *
 *   dgp85@users.sourceforge.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _KDIGEST_H_
#define _KDIGEST_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kmainwindow.h>

class kdigestWidget;

/**
 * @short Application Main Window
 * @author Diego 'Flameeyes' Petten <dgp85@users.sourceforge.net>
 * @version 0.1
 */
class kdigest : public KMainWindow
{
Q_OBJECT
public:
	/**
	* Default Constructor
	*/
	kdigest();
	
	/**
	* Default Destructor
	*/
	virtual ~kdigest();
protected:
	kdigestWidget *m_kdigestWidget;		//!< Main Widget
protected slots:
	void slotConfigureKeys();
	void slotConfigureNotifications();
	void slotConfigureToolBars();
	void slotPrefActivated();
};

#endif // _KDIGEST_H_
